<?php

class post
{

  private $db;

  public function __construct()
  {
    $this->db = new  Database;
  }

  public function getPosts()
  {
    $this->db->query('SELECT title,LEFT (body, 50) as body,
                    posts.id as postId,
                    users.id as userId,
                    posts.created_at as postCreated,
                    users.created_at as userCreated
                    FROM posts
                    INNER JOIN users
                    ON posts.user_id = users.id
                    ORDER BY posts.created_at DESC
                    ');


    return $this->db->resultSet();
  }
  public function addPost($data)
  {
    $this->db->query('INSERT INTO posts(user_id,title,body,created_at) values(:user_id,:title,:body,now())');
    $this->db->bind(':user_id', $_SESSION['user_id']);
    $this->db->bind(':title', $data['title']);
    $this->db->bind(':body', $data['body']);
    if ($this->db->execute())
      return true;
    else
      return false;
  }
  public function updatePost($data)
  {
    $this->db->query('UPDATE posts SET title = :title, body = :body WHERE id = :id');
    // Bind values
    $this->db->bind(':id', $data['id']);
    $this->db->bind(':title', $data['title']);
    $this->db->bind(':body', $data['body']);

    // Execute
    if ($this->db->execute()) {
      return true;
    } else {
      return false;
    }
  }


  public function deletePost($id)
  {
    $this->db->query('DELETE from posts WHERE id=:id');
    $this->db->bind(':id', $id);
    if ($this->db->execute())
      return true;
    else return false;
  }
  public function getPostByID($id)
  {
    $this->db->query('SELECT * FROM posts where id= :id');
    $this->db->bind(':id', $id);
    return $this->db->single();
  }
}
