    <?php require APPROOT . '/views/inc/header.php'; ?>
    <div class="container">

        <div class="jumbotron jumbotron-flud text-center bg-light rounded">
            <div class="container col-md-12 text-center ">
                <h1 class="display-3">Internet speed test</h1>
                <p class="lead">You can easily test your internet speed without installing software.</p>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <div class="h-100 p-5 bg-light border rounded-3 text-center">
                            <h2>Test Your Internet Speed
                            </h2>
                            <div class="components align-items-end">

                                <div id="toggle-fullscreen">
                                    <?php
                                    $kb = 1024;
                                    echo "Streaming $kb Kb...<!-";
                                    flush();

                                    $time = explode(" ", microtime());
                                    $start = $time[0] + $time[1];
                                    for ($x = 0; $x < $kb; $x++) {
                                        echo str_pad('', 1024, '.');
                                        flush();
                                    }
                                    $time = explode(" ", microtime());
                                    $finish = $time[0] + $time[1];
                                    $deltat = $finish - $start;
                                    echo "-><br> Internet test finished in $deltat seconds.<br> ";
                                    ?>
                                    <div class="alert alert-success fw-bold" role="alert">Your Internet speed is <?php echo round($kb / $deltat, 1) ?> Kb/s (Kilobit per second)<br><br><br>
                                        <span class="fw-normal"> It is : <?php echo round($kb / $deltat / 8, 1) ?>KB/s (Kilobyte per second) <br>

                                            It is : <?php echo round($kb / $deltat / 1000, 1) ?>Mb/s (Megabit per second)
                                        </span>
                                    </div>
                                    <button class="btn btn-success border border-dark " onclick="window.location.reload();">
                                        <i class="bi bi-arrow-clockwise"> </i> Reload Test
                                    </button>
                                </div>
                            </div>
                            <!-- <div class="alert alert-info alert-dismissible fade show mt-5 text-start" role="alert">
                                While viewing this page and this test, we will not save any information from your computer<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div> -->

                        </div>
                    </div>
                    <div class="col-md-6 mb-3">
                        <div class="h-100 p-5 bg-light border rounded-3 text-start">
                            <h2>How to test your Internet speed?</h2>
                            As soon as you enter this page. A string of <strong>1024</strong> kilobytes will be executed and by calculating the sending time of this string, so we can calculate your internet speed. simply!<br>
                            If you want to try again, just click on the green button, this page will be refreshed and you can see the new number.<br>
                            The execution time of this code will be about a few mili-seconds and the result can be seen in terms of <strong>3 different dimensions.</strong><br>
                            Kilobits per second , Kilobytes per second and Megabits per second <br>
                            <strong>1 kilobyte/second = 8 kilobits/second.</strong><br>
                            <strong>1 Megabit/second = 1048 kilobits/second.</strong>

                            </p>
                            <p class="text-danger">Note:This is not your download speed and It's just your Internet connection speed.</P>


                        </div>
                    </div>
                </div>

                <div class="alert alert-warning alert-dismissible fade show mt-5" role="alert">
                    If need more help, you can follow the instructions below! <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>

                <div class="card border-info ">
                    <div class="card-header bg-info fs-2 text-white text-uppercase">Additional Information about <i class="bi bi-router"></i> Internet Speed Test
                    </div>
                    <div class="card-body text-start">
                        <h5 class="card-title"> How does this Internet speed test work?
                        </h5>

                        <p class="card-text">
                            In this test, a very simple php command is executed and its display time will be measured :<br>
                            This script will send <Span class="text-success fw-bold">1024 KB </Span> html comments to the client. Parsing that HTML may add to the total transfer time.

                        </p>
                        <h5 class="card-title">What Internet speed?</h5>
                        <p>
                            For those who are not fully familiar with this topic, we must say that speed is the same number whose unit is kilobytes per second and is displayed as X Kb/S and XKB/S or KBpS.
                        </p>

                        <h5 class="card-title">What is a good internet speed?</h5>
                        <p>
                            The answer to this question will be different depending on the number of devices that use your internet and your consumption. But at least 12 megabits per second (Mbps) of download speed. For four or more devices, 25 Mbps is recommended
                        </p>
                        <hr>
                        <h5 class="card-title">How to increase Internet speed?</h5>
                        <p>
                            If you have already contacted your internet provider and this is the highest possible internet speed for you, do the following solutions in order to increase your internet speed to some extent.
                        </p>
                        <p> <strong>Step 1: Restart your computer:</strong> in many cases, restarting can help, all the settings of your operating system will return to the first state.</p>
                        <p> <strong>Step 2: Close extra programs:</strong> If you have programs that constantly use the Internet and update themselves, this can have an impact.</p>
                        <p> <strong>Step 3: Disconnect other devices: </strong> Some other devices are downloading by themselves, so disconnect them. If you cannot log in to the desired device and do this, we suggest that you do this through the admin panel of your access point. Inside the admin panel of the access points, it shows the devices that are connected to it, and you can disable the rest of the unauthorized devices.</p>
                        <p> <strong>Step 4: Look for the virus! :</strong> Your operating system may be infected, it is better to check the status of your antivirus first, if it is not updated, update it and scan your device completely.</p>
                        <p><strong>Step 5: Update your browser or change it.</strong> </p>
                        <p><strong>Step 6: Update your drivers.</strong> </p>
                        <p><strong>Step 7: Restart your access point and update its firmware.</strong> </p>


                    </div>
                </div>

                <div class="row align-items-center mb-5">


                    <div class="col-12 p-5">
                        This page will be updated and different solutions will be provided.
                    </div>
                </div>
            </div>

        </div>
    </div>

    </div>


    <?php require APPROOT . '/views/inc/footer.php'; ?>