<?php require APPROOT . '/views/inc/header.php'; ?>
<div class="container">

    <div class="jumbotron jumbotron-flud text-center bg-light rounded">
        <div class="container col-md-12 text-center ">
            <h1 class="display-3">Microphone Test</h1>
            <p class="lead">This is the easiest way to your microphone .</p>
            <div class="row">
                <div class="col">
                    <div class="h-100 p-5 bg-light border rounded-3 text-center">
                        <!-- <div class="col-md-12 col-lg-6 text-center border bg-light rounded-3"> -->
                        <h2>Test Microphone</h2>
                        <div class="bar" id="volume-visualizer"></div>
                        <div class="components align-items-end">
                            <button onclick="turnOnMic(1)" class="btn btn-primary border border-dark " id="start">
                                <i class="bi bi-mic-fill"></i> Start The Test
                            </button>
                            <!-- <button onclick="turnOnMic(2)" class="techkib-online-tool-button" id="stop"><i class="fa fa-stop"></i> Stop</button> -->
                            <button class="btn btn-primary border border-dark " onClick="window.location.reload();">
                                <i class="bi bi-arrow-clockwise"> </i> Reload Test
                            </button>
                        </div>
                        <h3 id="working"></h3>
                        <h3 id="notworking"></h3>
                        <div class="alert alert-info alert-dismissible fade show mt-5" role="alert">
                            After pressing the start key, a question will be asked asking you to grant access to the microphone to the browser, please click Allow.
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        <div class="alert alert-danger alert-dismissible fade show mt-5" role="alert">
                            We never record your voice and everything happens on your browser and your computer. <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="h-100 p-5 bg-light border rounded-3 text-start">
                        <h2>How to test your microphone?</h2>
                        <p>
                            You can do this test easily with your browser without installing software.
                            <br>
                            <strong>Step 1:</strong> Is your microphone connected and turned on? If the answer is yes, go to the second step.
                            <br>
                            <strong>Step 2:</strong> Click on the start button above.
                            <br>
                            <strong>Step 3:</strong>Your browser will ask you to allow access to the microphone, select <strong>Allow</strong>.
                            <br>
                            <strong>Step 4:</strong>Green sound waves will appear, which increase and decrease with the intensity of the sound.
                            <br>
                            <strong>Step 5:</strong>If you see a red bar, reload the page and try again. In many cases it solves it.
                            <br>
                            <strong class="text-success">If you see moving green sound waves, your microphone is working and if red waves appear, then your microphone is not working properly and you can follow the solutions mentioned below to solve the problem.</strong>

                        </p>
                    </div>
                </div>
            </div>

            <div class="alert alert-warning alert-dismissible fade show mt-5" role="alert">
                If you can't hear any sound, you can follow the instructions below!
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>

            <div class="card border-info ">
                <div class="card-header bg-info fs-2 text-white text-uppercase">General <i class="bi bi-mic-fill"></i>
                    microphone troubleshooting:</div>
                <div class="card-body text-start">
                    <h5 class="card-title">If you see a red line, your microphone is either broken or (more likely) not set up correctly. Try these steps to resolve the issue:</h5>

                    <p class="card-text">
                        <strong>Step 1.</strong> You should try a different browser or a different test.
                        <br>
                        <strong>Step 2.</strong> Check that your microphone is plugged into the correct socket on your computer (the socket usually has an icon like <i class="bi bi-mic-fill"></i>) If it's a microphone with a USB connector, just make sure it's properly plugged into the USB socket.
                        <br>
                        <strong>Step 3.</strong> Check that your microphone isn't muted - Sometimes a microphone has a mute button on it or on the cord it's attached to.
                        <br>
                        <strong>Step 4.</strong> Check that the microphone is not muted all the way.
                        <br>
                        <strong>Step 5.</strong> Check in your operating system whether the microphone is muted or not.
                        <br>
                        <strong>Step 6.</strong> Check that the permission to access the microphone in the operating system is not limited to your software.



                    </p>


                </div>
            </div>

            <div class="row align-items-center mb-5">


                <div class="col-12 p-5">
                    This page will be updated and different solutions will be provided.
                </div>
            </div>
        </div>

    </div>
</div>

</div>


<script src="<?php echo URLROOT; ?>/js/mic.js"></script>

<?php require APPROOT . '/views/inc/footer.php'; ?>