<?php require APPROOT . '/views/inc/header.php'; ?>
<div class="container">

    <div class="jumbotron jumbotron-flud text-center bg-light rounded">
        <div class="container col-md-12 text-center ">
            <h1 class="display-3">Monitor Test</h1>
            <p class="lead">This is the easiest way to test dead pixels of monitor .</p>
            <div class="row">
                <div class="col-md-6 mb-3">
                    <div class="h-100 p-5 bg-light border rounded-3 text-center">
                        <h2>Test Your Monitor Screen
                        </h2>
                        <div class="components align-items-end">

                            <div id="toggle-fullscreen">
                                <div id="white" class="p-3 bg-white border " onclick="openFullscreen('white')">
                                    Test dead pixels in <strong>White</strong> screen
                                </div>
                                <div id="black" class="p-3 bg-black border text-white " onclick="openFullscreen('black')">
                                    Test dead pixels in <strong>Black</strong> screen
                                </div>
                                <div id="blue" class="p-3 bg-primary border " onclick="openFullscreen('blue')">
                                    Test dead pixels in <strong>Blue</strong> screen
                                </div>
                                <div id="green" class="p-3 bg-success border " onclick="openFullscreen('green')">
                                    Test dead pixels in <strong>Green</strong> screen

                                </div>

                                <div id="red" class="p-3 bg-danger  border" onclick="openFullscreen('red')">
                                    Test dead pixels in <strong>Red</strong> screen
                                </div>
                            </div>
                        </div>
                        <!-- <div class="alert alert-info alert-dismissible fade show mt-5 text-start" role="alert">
                            Please select one of above colors , after pressing one of them, your monitor will go to full screen mode, after that you can exit full screen by pressing Ecs button or close sign X <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div> -->

                    </div>
                </div>
                <div class="col-md-6 mb-3">
                    <div class="h-100 p-5 bg-light border rounded-3 text-start">
                        <h2>How to test your Monitor?</h2>
                        <p><strong> How to find dead pixels on your monitor?</strong> <br>
                            If you want to make sure of the health of your monitor or screen and you want to know if your monitor has dead pixels or not, you can do it with this very simple tool without using any software (Just in your browser). <br>
                            It is very simple, just follow the steps below in order.<br>
                            <strong>Step 1:</strong> Click on one of the colored buttons. <br>
                            <strong>Step 2:</strong> Your browser will be in full screen. Carefully check the entire page.<br>
                            <strong>Step 3:</strong> To be more sure, test your monitor with other colors as well.<br>
                            <strong>NOTE:</strong> You can use the <strong>ESC</strong> key or the close sign <strong>X</strong> at the top of the screen to exit the fullscreen mode.
                        </p>

                    </div>
                </div>
            </div>

            <div class="alert alert-warning alert-dismissible fade show mt-5" role="alert">
                                If need more help, you can follow the instructions below!

                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>

            <div class="card border-info ">
                <div class="card-header bg-info fs-2 text-white text-uppercase">General Questions of <i class="bi bi-display"></i> Monitor Test
                </div>
                <div class="card-body text-start">
                    <h5 class="card-title"> How does this monitor/screen test work?
                    </h5>

                    <p class="card-text">
                        In this test, we display the main colors (<Span class="text-danger fw-bold">Red</Span>, <Span class="text-success fw-bold">Green</Span>, <Span class="text-primary fw-bold">Blue</Span>, White and Black) on the monitor in full screen, and you must carefully look all over the monitor and look for dead pixels. We suggest that clean your screen thoroughly beforehand because something may be stuck to your monitor and confuse you. In addition, it is possible that your burned pixel is not very clear in a certain color, for example, green, so it is better to try all colors and find the dead pixel.

                    </p>
                    <h5 class="card-title">What pixels are called dead pixels? What are they like?</h5>
                    <p>
                        Dead pixels can be one or more pixels that may be next to each other and the color of those points may be different from the rest of the screen area or they may be completely black (completely dead). If your screen is damaged, you may see dots or lines on your screen that are dead pixels.
                        Some monitors end up with this problem due to time and long operation, and others are caused by the impact of a sharp object.
                    </p>

                    <h5 class="card-title">What is a pixel on a screen?</h5>
                    <p>
                        A very small programmable color unit on your monitor. The physical size of a pixel depends on how the screen resolution is set. If you set the display to its maximum resolution, the physical size of a pixel is equal to the physical size of the dot of the display. However, if you set the resolution to anything less than the maximum resolution, it will be one pixel larger than the physical size of the screen dot.
                    </p>
                    <h5 class="card-title">Can dead pixels be fixed?</h5>
                    <p>
                        In one word, you have to answer, <strong>NO!</strong> Dead pixels cannot be repaired in any way and the screen must be completely replaced. If you're very lucky, you may see that the problem is fixed by turning the screen on/off again, or pressing and holding the ded spot for a few seconds may fix your dead pixel 1% of the time.
                    </p>

                </div>
            </div>

            <div class="row align-items-center mb-5">


                <div class="col-12 p-5">
                    This page will be updated and different solutions will be provided.
                </div>
            </div>
        </div>

    </div>
</div>

</div>

<script>
    var btnID = null;
    /* When the openFullscreen() function is executed, open the video in fullscreen.
    Note that we must include prefixes for different browsers, as they don't support the requestFullscreen method yet */
    function openFullscreen(colorid) {
        var elem = document.getElementById(colorid);
        btnID = colorid;
        // elem.style.width = "100%";
        if (elem.requestFullscreen) {
            elem.requestFullscreen();
        } else if (elem.webkitRequestFullscreen) {
            /* Safari */
            elem.webkitRequestFullscreen();
        } else if (elem.msRequestFullscreen) {
            /* IE11 */
            elem.msRequestFullscreen();
        }
        elem.innerHTML = "<i class=\"bi bi-x-circle\" onclick=\"closeFullscreen();\"></i>";
    }





    // window.addEventListener('resize', (evt) => {
    //     if (window.innerHeight == screen.height) {
    //         console.log('FULL SCREEN');
    //         var btn = document.getElementById(btnID);
    //         btn.innerHTML = "close";
    //     } else {
    //         console.log('NORMAL SCREEN');
    //         var btn = document.getElementById(btnID);
    //         btn.innerHTML = "open";

    //     }
    // });
    if (document.addEventListener) {
        document.addEventListener('fullscreenchange', exitHandler, false);
        document.addEventListener('mozfullscreenchange', exitHandler, false);
        document.addEventListener('MSFullscreenChange', exitHandler, false);
        document.addEventListener('webkitfullscreenchange', exitHandler, false);
    }

    function exitHandler() {
        if (!document.webkitIsFullScreen && !document.mozFullScreen && !document.msFullscreenElement) {
            // Run code on exit
            var btn = document.getElementById(btnID);
            btn.innerHTML = `Test dead pixels by ${btnID} screen`;
        }
    }

    /* Function to close fullscreen mode */
    function closeFullscreen() {
        if (document.exitFullscreen) {
            document.exitFullscreen();
        } else if (document.mozCancelFullScreen) {
            document.mozCancelFullScreen();
        } else if (document.webkitExitFullscreen) {
            document.webkitExitFullscreen();
        } else if (document.msExitFullscreen) {
            window.top.document.msExitFullscreen();
        }
        const btn2 = document.getElementById(btnID);
        btn2.innerHTML = `Test dead pixels by ${btnID} screen`;

    }



</script>
<!-- <script src="<?php echo URLROOT; ?>/js/monitor.js"></script> -->

<?php require APPROOT . '/views/inc/footer.php'; ?>