<?php require APPROOT . '/views/inc/header.php'; ?>
<div class="container">

    <div class="jumbotron jumbotron-flud text-center bg-light rounded">
        <div class="container col-md-12 text-center ">
            <h1 class="display-3">Sound Tester</h1>

            <h1 class="lead">The easiest way to test the sound of your laptop or computer.</h1>

            <div class="row align-items-center mb-5">
                <div class="col-12 text-center ">
                    <!-- <div class="btn-group"> -->
                    <button type="button" onclick="playLeft()" class="btn btn-primary border border-dark">
                        <svg xmlns="http://www.w3.org/2000/svg" width="70" height="70" fill="currentColor" class="bi bi-arrow-left" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M15 8a.5.5 0 0 0-.5-.5H2.707l3.147-3.146a.5.5 0 1 0-.708-.708l-4 4a.5.5 0 0 0 0 .708l4 4a.5.5 0 0 0 .708-.708L2.707 8.5H14.5A.5.5 0 0 0 15 8z"></path>
                        </svg>
                        <span class="visually-hidden">Button</span>
                    </button>
                    <button type="button" onclick="playStereo()" class="btn btn-primary border border-dark mx-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="70" height="70" fill="currentColor" class="bi bi-speaker-fill" viewBox="0 0 16 16">
                            <path d="M9 4a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm-2.5 6.5a1.5 1.5 0 1 1 3 0 1.5 1.5 0 0 1-3 0z"></path>
                            <path d="M4 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H4zm6 4a2 2 0 1 1-4 0 2 2 0 0 1 4 0zM8 7a3.5 3.5 0 1 1 0 7 3.5 3.5 0 0 1 0-7z"></path>
                        </svg>
                        <span class="visually-hidden">Button</span>
                    </button>
                    <button type="button" onclick="playRight()" class="btn btn-primary border border-dark">
                        <svg xmlns="http://www.w3.org/2000/svg" width="70" height="70" fill="currentColor" class="bi bi-arrow-right" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"></path>
                        </svg>
                        <span class="visually-hidden">Button</span>
                    </button>
                    <!-- </div> -->
                </div>
            </div>
            <div class="alert alert-warning alert-dismissible fade show mt-5" role="alert">
                If you can't hear any sound, follow the instructions below!
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
            <div class="row text-start text-justify mb-3">
                <div class="col-md-7 mb-3">
                    <div class="h-100 p-5 bg-light border rounded-3">
                        <h2>How to test the sound?</h2>
                        <p>If you are not sure that your headphones or speakers are working properly, you can do your test without installing the software with our sound test. <br>

                            <strong> Step 1.</strong> Make sure your speaker or headphones are connected and not muted.
                            <br>
                            <strong> Step 2.</strong> Use left and right sound test, test them separately and then test both speakers together (stereo sound).
                            <br>
                            <strong> Step 3.</strong> If you haven't heard a sound yet, don't worry, follow the steps below to fix the problem.

                            <!-- <blockquote class="blockquote">

                            <footer class="blockquote-footer">Important NOTE: We will never receive sound or video from your webcam, and everything you see in the image will happen on your device and will not be sent to our server.</footer>
                        </blockquote> -->

                        </p>
                    </div>
                </div>
                <div class="col-md-5 mb-3">
                    <div class="h-100 p-5 bg-light border rounded-3">
                        <h2>About IOTUNER.com</h2>
                        <p>
                            This is a free online tool where you can test sound of your speaker through your browser without installing any third party software. You can test sound of on all devices, including mobile phones, laptops, computers, TVs, etc. through the browser. <br>

                        </p>
                        <!-- <button class="btn btn-outline-secondary" type="button">Example button</button> -->
                    </div>
                </div>
            </div>

            <div class="card border-info mb-3">
                <div class="card-header bg-info text-white fs-2 text-uppercase">How to test sound and fix it on <i class="bi bi-apple p-2"></i> Mac </div>
                <div class="card-body text-start">
                    <h5 class="card-title">Check Output</h5>
                    <p class="card-text">First, make sure the sound output is on the Mac speaker.
                        MacBook sound output may not be on another device such as Bluetooth headphones or speakers.
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-01.jpg" alt="test and fix your sound on mac">
                    </p>
                    <p class="card-text">For this, it is enough to click on the MacBook sound icon to see what sound output is being used.
                        If the sound output was on another device, as in the picture below, just click on the MacBook Speaker option.
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-02.jpg" alt="test and fix your sound on mac">
                    </p>
                    <h5 class="card-title">Play a song</h5>
                    <p class="card-text">Play a song from inside the MacBook and check that the problem is not with the browser. To do this, you can download a song sample from the link below and test it with Quick Time or another player. (This time, pay attention that the player's volume is not low)
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-03.jpg" alt="test and fix your sound on mac">
                    </p>
                    <h5 class="card-title">Sound settings on MacBook</h5>
                    <p class="card-text"><strong>Goto <i class="bi bi-apple"></i>> System Preferences > Sound</strong>
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-04.jpg" alt="test and fix your sound on mac">
                    </p>
                    <p class="card-text">In this section, see the settings related to the output sound or the left and right balance of the sound - or whether the sound is on or off.<br>
                        If the sound was muted, connect the sound by uncheck the checkbox.<br>
                        If the sound of the left or right speaker is low, you can increase it.
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-05.jpg" alt="test and fix your sound on mac">
                    </p>
                    <h5 class="card-title">Restart</h5>
                    <p class="card-text">
                        If you still do not hear a sound, you should restart the MacBook.
                        After the restart, if you still have sound problems, connect a headphone and check.
                    </p>
                    <h5 class="card-title">Reset NVRAM</h5>
                    <p class="card-text">If you have done all of the above and the problem still persists, reset the NVRAM to return to the original sound settings.
                        Turn off the MacBook and press all four keys command + option + R + P together immediately after turning on and the MacBook will restart.
                        <br>
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-06.jpg" alt="test and fix your sound on mac">
                    </p>
                    <p>If you are curious to see what information is in NVRAM, you can use the <code>nvram -xp</code> command in the terminal.
                        <img src="<?php echo URLROOT; ?>/public/img/soundtest-mac-07.jpg" alt="test and fix your sound on mac">
                    </p>
                    <h5 class="card-title">Don't be disappointed, let's kill core audio!</h5>
                    <p>Another option is to remove the Core Audio service, which is responsible for sound processing in macOS. You can do this with a simple terminal command. First, launch <strong>Terminal</strong> by searching with <strong>Spotlight</strong> or under <strong>Applications > Utilities</strong>.
                        Now enter your username to authorize the command. The coreaudiod process will be killed and should be restarted automatically. Try playing music or other audio to see if you still have the problem.
                        You need admin access to run this command</p>

                    <code>sudo killall coreaudiod</code>
                    <h5 class="card-title">Another command!</h5>
                    <p>You need admin access to execute this command, like all other commands.</p>
                    <code>sudo launchctl stop com.apple.audio.coreaudiod && sudo launchctl start com.apple.audio.coreaudiod</code>

                    <h5 class="card-title">Last step: reinstall macos</h5>
                    <p>Our assumption is that your MacBook does not have a hardware problem, so the last step of software troubleshooting is to reinstall the operating system or use recovery (Time Machine) to return the MacBook to a state where the sound was working properly.</p>

                </div>
            </div>
            <div class="card border-info ">
                <div class="card-header bg-info fs-2 text-white text-uppercase">How to test sound and fix it on <i class="bi bi-windows"></i> windows</div>
                <div class="card-body text-start">
                    <h5 class="card-title">Check your speaker output</h5>
                    <p class="card-text">The first step in troubleshooting the sound of all devices is to check the outputs of that device, so check the audio outputs first. To do this, do the following step by <br>
                    <ol>
                        <li>Select the <strong>Speakers</strong><i class="bi bi-volume-down-fill"></i> icon on the taskbar.
                            <br>
                            Note: If you don't see the speaker icon, you may need to click the <strong>Show hidden ^</strong> icon.
                        </li>
                        <li>Next, select the ^ arrow to open a list of audio devices connected to your computer.</li>
                        <li>At this step, check that your audio output will be played on your desired audio device, such as speakers or headphones.</li>
                    </ol>

                    If this solution does not help to solve the sound problem, follow the next step. </p>
                    <h5 class="card-title">Windows Sound Troubleshooter</h5>
                    <p>
                        In some cases, the Windows audio troubleshooter can automatically fix the audio problem. Follow the steps below to troubleshoot the problem.
                    <ol>
                        <li>In the search field, you can type audio troubleshooter, select Find and fix problems with playing sound from the results.</li>
                        <li>In this step, select the device you want to troubleshoot and then click the Next button.<br>
                            Note - You can also run the troubleshooter from the following path:
                            <strong> Start > Settings > System > Sound > Troubleshoot</strong>

                        </li>
                    </ol>
                    </p>
                    <h5 class="card-title">Test Sound Driver</h5>
                    <p>Select <strong>Device Manager</strong> from the start menu in the search field, then select <strong>Sound, video game and control</strong> and <strong>uninstall</strong> it and install the new driver and then restart the computer. In this section, you can also select <strong>Roll back driver</strong> and return the sound card driver to the previous version. If you have not used the driver of the original company, we suggest that you download and install the <strong>latest version</strong> of the driver from the original site.</p>

                    <P class="bd-callout bd-callout-info">
                        If you don't know what the brand and model of your sound card is, just right-click on it and select <strong>Properties</strong> and select <strong>Hardware ID</strong> in the <strong>Details</strong> tab and search for it in Google. HardwareID is not just a number, it looks like the following line:
                        <br>
                        <code>HDAUDIO\FUNC_01&VEN_10EC&DEV_0221&SUBSYS_103C1787</code>
                    </P>

                </div>
            </div>




            <div class="row align-items-center mb-5">





                <div class="row mb-2">


                    <div class="col-12 p-5">
                        This page will be updated, please let us know if you have any comments or suggestions.
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>


<audio id="audioLeft" src="<?php echo URLROOT; ?>/public/sounds/elevator-left.mp3"></audio>
<audio id="audioRight" src="<?php echo URLROOT; ?>/public/sounds/elevator-right.mp3"></audio>
<audio id="audioStereo" src="<?php echo URLROOT; ?>/public/sounds/robotic-countdown.mp3"></audio>

<script>
    function playLeft() {
        var audio = document.getElementById("audioLeft");
        audio.play();
    }

    function playRight() {
        var audio = document.getElementById("audioRight");
        audio.play();
    }

    function playStereo() {
        var audio = document.getElementById("audioStereo");
        audio.play();
    }
</script>
<?php require APPROOT . '/views/inc/footer.php'; ?>