<?php require APPROOT . '/views/inc/header.php'; ?>

<div class="card text-bg-light border-info">
  <div class="card-header">
    <h1><?php echo $data['title']; ?></h1>
  </div>
  <div class="card-text p-3">
    <div class="panel">
      <div class="panel-body"><small>
          <p>This privacy notice discloses the privacy practices for iotuner.com. This privacy notice applies solely to information collected by this website and may get changed at any time without notice or explanation.</p>
        </small>
        <h2>1. Introduction</h2>
        <h3>Who we are and what we do</h3>
        <p>This Privacy Policy covers iotuner.com group (collectively,&nbsp;<strong>"</strong><strong>iotuner.com</strong><strong>," "we" "us"</strong>&nbsp;or&nbsp;<strong>"our"</strong>). We provide online beauty and stylist&nbsp; video sharing and related services through our websites, including iotuner.com.</p>
        <p>Your privacy is critically important to us. we have a few fundamental principles:</p>
        <ul>
          <li>We are thoughtful about the personal information we ask you to provide and the personal information that we collect about you through the operation of our services.</li>
          <li>And We store personal information for only as long as we have a reason to keep it.</li>
          <li>We aim to make it as simple as possible for you to control what information on your website is shared publicly (or kept private), indexed by search engines, and permanently deleted.</li>
          <li>We aim for full transparency on how we gather, use, and share your personal information.</li>
        </ul>
        <h2>2. Data We Collect About You</h2>
        <h3>Automatically-Collected Information</h3>
        <p>We automatically collect certain types of data when you use our services, regardless of whether you have an account. This data includes your IP address, technical information about your device (e.g., browser type, operating system, basic device information), the web page you visited or search query you entered before reaching us, and your activities. We may track your activities using cookies and similar technologies. By using our services, you agree to our use of these methods by any means.</p>
        <h3>Information Collected by Third Parties</h3>
        <p>Some third parties may collect data about you when you use our services. This may include data you submit (such as payment information) or automatically-collected information (in the case of third-party analytics providers and advertisers).</p>
        <p>We may obtain data from third parties about you. We may combine that data with information that we have collected. For example, some advertisers or advertising platforms may allow us to determine what other online services you might use so that we may place relevant ads on those services.</p>
        <h2>3. How We Use Your Data</h2>
        <p>We may use your data for the following purposes:</p>
        <ul>
          <li><strong>Communicating with you:</strong>&nbsp;We use your data when we communicate with you (e.g., when we respond to a customer support or other inquiry).</li>
          <li><strong>Improving our services:</strong>&nbsp;We use your data to understand how our services are being used and how we can improve them. In general, we analyze aggregated data, rather than specific user data. We may, however, need to analyze a specific case to address a specific problem (e.g., a bug that affects only a few accounts).</li>
          <li><strong>Customizing your experience:</strong>&nbsp;We use your data to personalize the service to you. This may include remembering your preferences for language or volume or displaying videos that you might enjoy, based upon your viewing choices.</li>
          <li><strong>Marketing and advertising:</strong>&nbsp;We use your data to display ads and send you offers. We may also use your data in delivering third-party advertisements to you. This may include "targeted ads" based upon your activities.</li>
          <li><strong>Exercising our rights:</strong>&nbsp;Where reasonably necessary, we use your data to exercise our legal rights and prevent abuse of our service. For example, we may use your data to detect and prevent fraud, spam, or content that violates our Terms of Service.</li>
          <li><strong>Legal compliance:</strong>&nbsp;We use your data where we are legally required to do so. For example, we may need to gather your data to respond to a subpoena or court order.</li>
          <li><strong>Protecting your information:</strong>&nbsp;Where appropriate, we may anonymize, backup, and delete certain data.</li>
        </ul>
        <p>We may use algorithms and other automated means to implement any of the above.</p>
        <h2>4. Legal and Safety-Related Disclosures</h2>
        <p>We may disclose your data in response to official requests (e.g., court orders, subpoenas, search warrants, national security requests, etc.) ("requests") that we receive from government authorities or parties to legal proceedings.</p>
        <p>We will typically disclose information where we in good faith believe that disclosure is permitted by law. In all cases, we may raise or waive any legal objection or right available to us, in our sole discretion.</p>
        <p>We may disclose user data where we reasonably believe that someone's life is at risk. For example, if we become aware of a person threatening to commit suicide, we may share that person's data with appropriate entities that may have the ability to help.</p>
        <p>We may disclose user data in situations involving legal claims against us or one of our users.</p>
        <p>We may share your data with potential transaction partners, advisors, and others in the event our company is, in whole or part, acquired by a third party. In such case, we will use reasonable efforts to require the acquiring entity to comply with this Privacy Policy.</p>
        <h2>6. Data Retention</h2>
        <p>If we receive legal process pertaining to your data, we will retain your data for as long as we in good faith believe is necessary to comply with the legal process. Similarly, if we believe that you have been involved in wrongdoing, we may preserve your data to defend or assert our rights.</p>
        <h2>7. Third-Party Services</h2>
        <p>We may provide links to (and/or share any data with) online services that we do not own or operate. These services fall outside of this Privacy Policy and we have no control over the data they collect. For example, if you click on an advertisement, you may be taken to the advertiser's website. We encourage you to read the privacy policies of such services before using them.</p>
        <p>You may use our service through third-party sites. For example, you may watch a video that is embedded on a third-party site or use one of our apps on a third-party platform. This Privacy Policy covers our apps and video players, but does not cover any third-party site or any third-party video player.</p>
        <h2>8. International Data Transfers and Certain User Rights</h2>
        <p>If you have a request, complaint or inquiry, please send it to our contact email address listed below.</p><a name="contact"> &nbsp;</a>
        <h2>9. How to Contact Us</h2>
        <p>For any questions, inquiries, or complaints, please contact us at:</p>
        <p><em>Info‌‍<b> @‌‍</b>iotuner.com</em></p>
        <p>&nbsp;</p>
      </div>
    </div>
  </div>
</div>

<?php require APPROOT . '/views/inc/footer.php'; ?>